#ifndef TR3WEAPON_H_INCLUDED
#define TR3WEAPON_H_INCLUDED

#include <trng_core.h>

void TR3_AimWeapon(WEAPON_INFO* winfo, LARA_ARM* arm);

BOOL TR3_BadFloor(sint32 x, sint32 y, sint32 z, sint32 box_height, sint32 next_height, sint16 room_number, LOT* LOT);
BOOL TR3_CreatureAnimation(sint16 ItemIndex, sint16 angle, sint16 tilt);

void TR3_CreatureFloat(short ItemIndex);
void TR3_CreatureUnderwater(ITEM_INFO* item, sint32 depth);
void TR3_CreatureAIInfo(ITEM_INFO* item, AI_INFO* info);

int TR3_FireWeapon(int weapon_type, ITEM_INFO* target, ITEM_INFO* src, short angles[2]);

#endif